package theGhastModding.library.midi;

public class ProgramChangeEvent extends MIDIEvent {
	
	private int program;
	private int channel;
	
	public ProgramChangeEvent(long tick, int program, int channel, long delta) {
		super(tick, false, (byte)(0xC0 + channel), 2, delta);
		this.program = program;
		this.channel = channel;
	}
	
	public int getProgram(){
		return program;
	}
	
	public void setProgram(int prgrm){
		this.program = prgrm;
	}
	
	public int getChannel(){
		return channel;
	}
	
	public void setChannel(int chan){
		this.channel = chan;
	}
	
	@Override
	public void setDelta(long delta){
		super.setDelta(delta);
	}
	
	@Override 
	public long getDelta(){
		return super.getDelta();
	}
	
}